Bug 583141 - Review Request: nautilus-pastebin - Nautilus extension to send files to a pastebin
Summary: Review Request: nautilus-pastebin - Nautilus extension to send files to a pas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 19:31 UTC by Ankur Sinha (FranciscoD)
Modified: 2010-10-04 13:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-04 13:22:46 UTC
tomspur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2010-04-16 19:31:26 UTC
Spec URL: http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin.spec
SRPM URL: http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin-0.4.1-1.fc12.src.rpm

Description: 
A Nautilus extension written in Python, which allows users to upload text-only files to a pastebin service just by right-clicking on them. Users can also add their favorite service just by creating new presets


mock output at 

http://ankursinha.fedorapeople.org/nautilus-pastie/

rpmlint gives some errors, I'm not sure how to get rid of these:

[Package@localhost SPECS]$ rpmlint nautilus-pastebin.spec ../SRPMS/nautilus-pastebin-0.4.1-1.fc12.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
nautilus-pastebin.i686: E: no-binary
nautilus-pastebin.i686: E: file-in-usr-marked-as-conffile /usr/share/gconf/schemas/nautilus-pastebin.schemas
nautilus-pastebin.i686: W: percent-in-%pre
nautilus-pastebin.i686: W: percent-in-%post
nautilus-pastebin.i686: W: percent-in-%preun
nautilus-pastebin-debuginfo.i686: E: empty-debuginfo-package
4 packages and 1 specfiles checked; 3 errors, 3 warnings.

Comment 1 Thomas Spura 2010-04-16 21:49:12 UTC
Hmm, do you want to build for python3 or not?
It looks like you started and that's it (haven't tried it either, yet).

getting rid of rpmlint output:
$ rpmlint x86_64/nautilus-pastebin-*
nautilus-pastebin.x86_64: E: no-binary
nautilus-pastebin.x86_64: E: file-in-usr-marked-as-conffile /usr/share/gconf/schemas/nautilus-pastebin.schemas
nautilus-pastebin.x86_64: W: dangerous-command-in-%pre rm
nautilus-pastebin.x86_64: W: dangerous-command-in-%post rm
nautilus-pastebin-debuginfo.x86_64: E: empty-debuginfo-package
2 packages and 0 specfiles checked; 3 errors, 2 warnings.

* file-in-usr-marked-as-conffile:
  The schemas are in /etc/gconf/schemas/, if you put this schemas also there, this will be gone
* dangerous-command-in-* rm
  %gconf_schema_prepare contains rm as a command. I don't know if this is sane, but this seems like a false positive
* empty-debuginfo-package:
  This usually appears, when you build without the optflags.

  You should try:
  CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

Comment 2 Ankur Sinha (FranciscoD) 2010-04-17 14:00:13 UTC
Hey, 

Thank you for the review :)

(In reply to comment #1)
> Hmm, do you want to build for python3 or not?
> It looks like you started and that's it (haven't tried it either, yet).
> 

removed the py3 support, will find out from upstream if this will work for py3 or not and later do it.

> getting rid of rpmlint output:
> $ rpmlint x86_64/nautilus-pastebin-*
> nautilus-pastebin.x86_64: E: no-binary
> nautilus-pastebin.x86_64: E: file-in-usr-marked-as-conffile
> /usr/share/gconf/schemas/nautilus-pastebin.schemas
> nautilus-pastebin.x86_64: W: dangerous-command-in-%pre rm
> nautilus-pastebin.x86_64: W: dangerous-command-in-%post rm
> nautilus-pastebin-debuginfo.x86_64: E: empty-debuginfo-package
> 2 packages and 0 specfiles checked; 3 errors, 2 warnings.
> 
> * file-in-usr-marked-as-conffile:
>   The schemas are in /etc/gconf/schemas/, if you put this schemas also there,
> this will be gone

The setup.py installs it in /usr/share/gconf, how do i move it to this correct location? That's what I'm not clear on. 

> * dangerous-command-in-* rm
>   %gconf_schema_prepare contains rm as a command. I don't know if this is sane,
> but this seems like a false positive

I've taken the macro from here:

http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

> * empty-debuginfo-package:
>   This usually appears, when you build without the optflags.
> 
>   You should try:
>   CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build    

Done. dint change anything :X

new srpms:

http://ankursinha.fedorapeople.org/nautilus-pastie/

rpmlint output:

[Package@localhost SPECS]$ rpmlint nautilus-pastebin.spec ../SRPMS/nautilus-pastebin-0.4.1-2.fc12.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
nautilus-pastebin.i686: E: no-binary
nautilus-pastebin.i686: E: file-in-usr-marked-as-conffile /usr/share/gconf/schemas/nautilus-pastebin.schemas
nautilus-pastebin.i686: W: percent-in-%pre
nautilus-pastebin.i686: W: percent-in-%post
nautilus-pastebin.i686: W: percent-in-%preun
nautilus-pastebin-debuginfo.i686: E: empty-debuginfo-package
4 packages and 1 specfiles checked; 3 errors, 3 warnings.


regards,
Ankur

Comment 3 Thomas Spura 2010-04-17 18:33:00 UTC
Arrg...

- Why should there be a debuginfo package? There are only python scripts and so on.
  -> BuildArch:    noarch

- 46 # not too sure about this
  47 chmod a+x $RPM_BUILD_ROOT/%{python_sitelib}/pastebin/core.py

  You should remove the /usr/bin/python in that file, because it doesn't need to be excecuted.
  https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files


(In reply to comment #2)
> Hey, 
> 
> Thank you for the review :)

You can say thanks, with reviewing some of mine or other reviews ;)

> 
> (In reply to comment #1)
> > Hmm, do you want to build for python3 or not?
> > It looks like you started and that's it (haven't tried it either, yet).
> > 
> 
> removed the py3 support, will find out from upstream if this will work for py3
> or not and later do it.
> 
> > * file-in-usr-marked-as-conffile:
> >   The schemas are in /etc/gconf/schemas/, if you put this schemas also there,
> > this will be gone
> 
> The setup.py installs it in /usr/share/gconf, how do i move it to this correct
> location? That's what I'm not clear on. 

with mv. It would be the best, if you ping upstream. This looks like a big packaging error from them...

 49 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf
 50 mv $RPM_BUILD_ROOT%{_datadir}/gconf $RPM_BUILD_ROOT%{_sysconfdir}
worked here.

> 
> > * dangerous-command-in-* rm
> >   %gconf_schema_prepare contains rm as a command. I don't know if this is sane,
> > but this seems like a false positive
> 
> I've taken the macro from here:
> 
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

I never used this macro before, but it needs to be:
%gconf_schema_prepare %{name} (etc..)


After that you'll have:
$ rpmlint ./nautilus-pastebin-0.4.1-2.fc13.src.rpm noarch/nautilus-pastebin-0.4.1-2.fc13.noarch.rpm 
nautilus-pastebin.noarch: W: dangerous-command-in-%pre rm
nautilus-pastebin.noarch: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 1 errors, 2 warnings.


I'll do a review, when you did all changes.

Comment 4 Ankur Sinha (FranciscoD) 2010-04-17 19:11:23 UTC
Hey!

(In reply to comment #3)
> Arrg...
> 
> - Why should there be a debuginfo package? There are only python scripts and so
> on.
>   -> BuildArch:    noarch
> 
> - 46 # not too sure about this
>   47 chmod a+x $RPM_BUILD_ROOT/%{python_sitelib}/pastebin/core.py
> 
>   You should remove the /usr/bin/python in that file, because it doesn't need
> to be excecuted.
>  
> >https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files

Done! 

> 
> (In reply to comment #2)
> > Hey, 
> > 
> > Thank you for the review :)
> 
> You can say thanks, with reviewing some of mine or other reviews ;)

Drop me an email with your bug numbers and I'll thank you ;)

> 
> > 
> > (In reply to comment #1)
> > > Hmm, do you want to build for python3 or not?
> > > It looks like you started and that's it (haven't tried it either, yet).
> > > 
> > 
> > removed the py3 support, will find out from upstream if this will work for py3
> > or not and later do it.
> > 
> > > * file-in-usr-marked-as-conffile:
> > >   The schemas are in /etc/gconf/schemas/, if you put this schemas also there,
> > > this will be gone
> > 
> > The setup.py installs it in /usr/share/gconf, how do i move it to this correct
> > location? That's what I'm not clear on. 
> 
> with mv. It would be the best, if you ping upstream. This looks like a big
> packaging error from them...
> 
>  49 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf
>  50 mv $RPM_BUILD_ROOT%{_datadir}/gconf $RPM_BUILD_ROOT%{_sysconfdir}
> worked here.
> 

done, pinged upstream too.

> > 
> > > * dangerous-command-in-* rm
> > >   %gconf_schema_prepare contains rm as a command. I don't know if this is sane,
> > > but this seems like a false positive
> > 
> > I've taken the macro from here:
> > 
> > http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf
> 
> I never used this macro before, but it needs to be:
> %gconf_schema_prepare %{name} (etc..)
> 

I think I've used the macro correctly. 

> 
> After that you'll have:
> $ rpmlint ./nautilus-pastebin-0.4.1-2.fc13.src.rpm
> noarch/nautilus-pastebin-0.4.1-2.fc13.noarch.rpm 
> nautilus-pastebin.noarch: W: dangerous-command-in-%pre rm
> nautilus-pastebin.noarch: W: dangerous-command-in-%post rm
> 2 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> 
> I'll do a review, when you did all changes.    

Done all of them 

regards,
Ankur


rpmlint nautilus-pastebin.spec ../SRPMS/nautilus-pastebin-0.4.1-3.fc12.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
nautilus-pastebin.noarch: W: percent-in-%pre
nautilus-pastebin.noarch: W: percent-in-%post
nautilus-pastebin.noarch: W: percent-in-%preun
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 5 Thomas Spura 2010-04-17 21:04:39 UTC
Review:

Good:
- name ok
- group ok
- arch ok
- BR ok
- rpmlint ignorable:
$ rpmlint ./nautilus-pastebin-0.4.1-3.fc13.src.rpm noarch/nautilus-pastebin-0.4.1-3.fc13.noarch.rpm 
nautilus-pastebin.noarch: W: dangerous-command-in-%pre rm
nautilus-pastebin.noarch: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
- source match upstream: ad10c5ce66a81bb2b17be31c2e07d4c7
- %install ok
- correctly installing of locales
- %doc ok


Needswork/couldwork:
- URL: when you put there %{version} in too, you don't need to change it all the time.
- what does your sed in %prep do?
  There is no line 'X-Ubuntu-Gettext-Domain=nautilus-pastebin' or am I wrong?
- RPM_OPT_FLAGS are now obsolete, with the BuildArch: noarch
- license wrong: It's GPLv2+ and not GPLv2
- description:
  last line has as a first character a space and misses a dot at the end
- could you please be a bit more explicit in %files?
with:
%{python_sitelib}/pastebin
%{python_sitelib}/nautilus_pastebin-*-py?.?.egg-info
you know when the egg fails to build

(In reply to comment #4)
> > I never used this macro before, but it needs to be:
> > %gconf_schema_prepare %{name} (etc..)
> > 
> 
> I think I've used the macro correctly. 

I don't know that macro so I ran:
$ rpm --eval %gconf_schema_prepare

if [ "$1" -gt 1 ] ; then 
    rm -rf /var/lib/rpm-state/gconf/* 
    for schema in  ; do 
        if test -f /etc/gconf/schemas/"$schema".schemas ; then 
            cp -p /etc/gconf/schemas/"$schema".schemas /var/lib/rpm-state/gconf/ || : 
        fi 
    done 
fi 

Means it will copy a schemas file around but does not do something with the argument you provide (whyever).

On http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf is as example:
%gconf_schema_prepare foobar

So I guess they want to have:
%gconf_schema_prepare nautilus-pastebin

Or why do you think, your usage is right?


##############################################################################

Current BLOCKER:
- license
- unsure about the macro

  -> rest is SHOULD

Comment 6 Thomas Spura 2010-04-17 21:13:51 UTC
Try to install it:

# rpm -i noarch/nautilebin-0.4.1-3.fc13.noarch.rpm 
I/O warning : failed to load external entity "/etc/gconf/schemas//etc/gconf/schemas/nautilus-pastebin.schemas.schemas"
»/etc/gconf/schemas//etc/gconf/schemas/nautilus-pastebin.schemas.schemas« konnte nicht geöffnet werden: Datei oder Verzeichnis nicht gefunden

As you see, it really needs to be %gconf_schema_prepare nautilus-pastebin

Comment 7 Thomas Spura 2010-04-17 21:17:45 UTC
Missing Requires, when starting
$ nautilus-pastebin.py 
Traceback (most recent call last):
  File "/usr/bin/nautilus-pastebin.py", line 33, in <module>
    import nautilus
ImportError: No module named nautilus

nautilus-python does not contain a python module (or is wrong installed)


Have you tried to run the programm?

Comment 8 Ankur Sinha (FranciscoD) 2010-04-18 03:43:22 UTC
(In reply to comment #5)
> Review:
> 
> Good:
> - name ok
> - group ok
> - arch ok
> - BR ok
> - rpmlint ignorable:
> $ rpmlint ./nautilus-pastebin-0.4.1-3.fc13.src.rpm
> noarch/nautilus-pastebin-0.4.1-3.fc13.noarch.rpm 
> nautilus-pastebin.noarch: W: dangerous-command-in-%pre rm
> nautilus-pastebin.noarch: W: dangerous-command-in-%post rm
> 2 packages and 0 specfiles checked; 0 errors, 2 warnings.
> - source match upstream: ad10c5ce66a81bb2b17be31c2e07d4c7
> - %install ok
> - correctly installing of locales
> - %doc ok
> 
> 
> Needswork/couldwork:
> - URL: when you put there %{version} in too, you don't need to change it all
> the time.
> - what does your sed in %prep do?
>   There is no line 'X-Ubuntu-Gettext-Domain=nautilus-pastebin' or am I wrong?

the sed gets rid of the above line, since the line is useless to Fedora

> - RPM_OPT_FLAGS are now obsolete, with the BuildArch: noarch
> - license wrong: It's GPLv2+ and not GPLv2

Corrected. 

> - description:
>   last line has as a first character a space and misses a dot at the end
> - could you please be a bit more explicit in %files?

corrected.

> with:
> %{python_sitelib}/pastebin
> %{python_sitelib}/nautilus_pastebin-*-py?.?.egg-info
> you know when the egg fails to build
> 

corrected

> (In reply to comment #4)
> > > I never used this macro before, but it needs to be:
> > > %gconf_schema_prepare %{name} (etc..)
> > > 
> > 
> > I think I've used the macro correctly. 
> 
> I don't know that macro so I ran:
> $ rpm --eval %gconf_schema_prepare
> 
> if [ "$1" -gt 1 ] ; then 
>     rm -rf /var/lib/rpm-state/gconf/* 
>     for schema in  ; do 
>         if test -f /etc/gconf/schemas/"$schema".schemas ; then 
>             cp -p /etc/gconf/schemas/"$schema".schemas
> /var/lib/rpm-state/gconf/ || : 
>         fi 
>     done 
> fi 
> 
> Means it will copy a schemas file around but does not do something with the
> argument you provide (whyever).
> 
> On http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf is as
> example:
> %gconf_schema_prepare foobar
> 
> So I guess they want to have:
> %gconf_schema_prepare nautilus-pastebin
> 
> Or why do you think, your usage is right?
> 
> 

gotten rid of the macro entirely. will incorporate it when its usage is clearer.


> ##############################################################################
> 
> Current BLOCKER:
> - license
> - unsure about the macro
> 
>   -> rest is SHOULD    

(In reply to comment #6)
> Try to install it:
> 
> # rpm -i noarch/nautilebin-0.4.1-3.fc13.noarch.rpm 
> I/O warning : failed to load external entity
> "/etc/gconf/schemas//etc/gconf/schemas/nautilus-pastebin.schemas.schemas"
> »/etc/gconf/schemas//etc/gconf/schemas/nautilus-pastebin.schemas.schemas«
> konnte nicht geöffnet werden: Datei oder Verzeichnis nicht gefunden
> 
> As you see, it really needs to be %gconf_schema_prepare nautilus-pastebin    

corrected by removal of macro.

(In reply to comment #7)
> Missing Requires, when starting
> $ nautilus-pastebin.py 
> Traceback (most recent call last):
>   File "/usr/bin/nautilus-pastebin.py", line 33, in <module>
>     import nautilus
> ImportError: No module named nautilus
> 
> nautilus-python does not contain a python module (or is wrong installed)
> 
> 
> Have you tried to run the programm?    

just did. i get the same error. I think I need to have a chat with upstream before proceeding with this package :( .Anyway, it isn't listing nautilus-python as a Requires.

[Ankur1@localhost data]$ rpm -qp --requires /var/lib/mock/fedora-rawhide-i386/result/nautilus-pastebin-0.4.1-3.fc14.noarch.rpm 
/bin/sh  
/bin/sh  
/usr/bin/python  
GConf2  
GConf2  
GConf2  
config(nautilus-pastebin) = 0.4.1-3.fc14
python(abi) = 2.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Ankur

Comment 9 Ankur Sinha (FranciscoD) 2010-04-18 03:51:55 UTC
hey,

i found this 

https://bugs.launchpad.net/ubuntu/+source/nautilus-python/+bug/126484/comments/3

which says that nautilus-python cannot be imported by a standalone module, will retry and report back.

Ankur

Comment 10 Ankur Sinha (FranciscoD) 2010-05-04 08:33:51 UTC
(In reply to comment #9)
> hey,
> 
> i found this 
> 
> https://bugs.launchpad.net/ubuntu/+source/nautilus-python/+bug/126484/comments/3
> 
> which says that nautilus-python cannot be imported by a standalone module, will
> retry and report back.
> 
> Ankur    


New Spec and SRPMs.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2160136

http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin.spec

http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin-0.4.1-5.fc12.src.rpm

http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin-0.4.1-5.fc12.x86_64.rpm


I've omitted noarch since the libdir macro needs to be used in this package. 

To see if it runs, install the rpm and go "killall nautilus".

regards,
Ankur

Comment 11 Thomas Spura 2010-05-05 12:04:23 UTC
I just did a quick look (have no time right now, maybe this evening):

Remaining/new issues:
- no debuginfo package:
  please use '%define debug_package %{nil}' and there won't be a debuginfo package and describe it as above why you don't do noarch
- sed -i -e '/^#!\//, 1d' ..../core.py
  belongs to %prep


# LC_ALL=C rpm -i x86_64/nautilus-pastebin-0.4.1-5.fc13.x86_64.rpm 
	file /etc/gconf/schemas/nautilus-pastebin.schemas from install of nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package nautilus-pastebin-0.4.1-3.fc13.noarch
	file /usr/lib/python2.6/site-packages/pastebin/core.pyc from install of nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package nautilus-pastebin-0.4.1-3.fc13.noarch
	file /usr/lib/python2.6/site-packages/pastebin/core.pyo from install of nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package nautilus-pastebin-0.4.1-3.fc13.noarch


Will look into this later today/tomorrow.

Comment 12 Ankur Sinha (FranciscoD) 2010-05-05 13:09:50 UTC
(In reply to comment #11)
> I just did a quick look (have no time right now, maybe this evening):
> 
> Remaining/new issues:
> - no debuginfo package:
>   please use '%define debug_package %{nil}' and there won't be a debuginfo
> package and describe it as above why you don't do noarch

fixed

> - sed -i -e '/^#!\//, 1d' ..../core.py
>   belongs to %prep
> 

fixed.

> 
> # LC_ALL=C rpm -i x86_64/nautilus-pastebin-0.4.1-5.fc13.x86_64.rpm 
>  file /etc/gconf/schemas/nautilus-pastebin.schemas from install of
> nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package
> nautilus-pastebin-0.4.1-3.fc13.noarch
>  file /usr/lib/python2.6/site-packages/pastebin/core.pyc from install of
> nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package
> nautilus-pastebin-0.4.1-3.fc13.noarch
>  file /usr/lib/python2.6/site-packages/pastebin/core.pyo from install of
> nautilus-pastebin-0.4.1-5.fc13.x86_64 conflicts with file from package
> nautilus-pastebin-0.4.1-3.fc13.noarch
> 
> 
> Will look into this later today/tomorrow.    

rpm -Uvh works okay, without any conflicts. 

http://ankursinha.fedorapeople.org/nautilus-pastie/nautilus-pastebin.spec

rest of the stuff at 

http://ankursinha.fedorapeople.org/nautilus-pastie/

regards,
Ankur

Comment 13 Thomas Spura 2010-05-05 16:29:55 UTC
Sorry, I was in a hurry, and didn't notice that it colided with itself "_"

Pastebin works...

Great program :)

#################################################################################

   APPROVED

Comment 14 Ankur Sinha (FranciscoD) 2010-05-05 16:38:33 UTC
Thanks! :)

Comment 15 Ankur Sinha (FranciscoD) 2010-05-05 16:41:52 UTC
New Package CVS Request
=======================
Package Name: nautilus-pastebin
Short Description: Nautilus extension to send files to a pastebin
Owners: ankursinha
Branches: F-11 F-12 F-13 
InitialCC: sundaram

Comment 16 Kevin Fenzi 2010-05-06 15:44:29 UTC
CVS done (by process-cvs-requests.py).

Comment 17 Fedora Update System 2010-05-06 18:08:59 UTC
nautilus-pastebin-0.4.1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc11

Comment 18 Fedora Update System 2010-05-06 18:23:14 UTC
nautilus-pastebin-0.4.1-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc13

Comment 19 Fedora Update System 2010-05-06 18:35:27 UTC
nautilus-pastebin-0.4.1-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc12

Comment 20 Fedora Update System 2010-05-07 05:46:35 UTC
nautilus-pastebin-0.4.1-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-pastebin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc13

Comment 21 Fedora Update System 2010-05-07 17:24:59 UTC
nautilus-pastebin-0.4.1-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-pastebin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc11

Comment 22 Fedora Update System 2010-05-07 17:25:49 UTC
nautilus-pastebin-0.4.1-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-pastebin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-6.fc12

Comment 23 Thomas Spura 2010-10-04 13:22:46 UTC
A newer update is already pushed to stable:
https://admin.fedoraproject.org/updates/nautilus-pastebin-0.4.1-8.fc12

-> Closing


Note You need to log in before you can comment on or make changes to this bug.